function PreventMisclick_OnLoad(frame)
	for k, v in pairs(PREVENTMISCLICK_ALLOWED_CLASS) do
		PreventMisclick_Setup.monitoredSpells[k] = true;
	end
	for k, v in pairs(PREVENTMISCLICK_DISALLOWED_CLASS) do
		PreventMisclick_Setup.monitoredSpells[k] = true;
	end

	if ( not frame ) then frame = this; end
	frame:RegisterEvent("ACTIONBAR_SLOT_CHANGED");
	frame:RegisterEvent("VARIABLES_LOADED");
	PreventMisclick_Hook();
end

function PreventMisclick_UpdateActionId(id)
	if ( id ) then
		local tex = GetActionTexture(id);
		local arr = PreventMisclick_Setup.cachedActionIds[id];
		if ( arr ) and ( arr.t ~= tex ) then
			arr.n = false;
			arr.t = nil;
		end
	end
end

function PreventMisclick_UpdateActionIds()
	for k, v in PreventMisclick_Setup.cachedActionIds do
		PreventMisclick_Setup.cachedActionIds[k].n = false;
		PreventMisclick_Setup.cachedActionIds[k].t = nil;
	end
end


function PreventMisclick_OnEvent()
	if ( event == "ACTIONBAR_SLOT_CHANGED" ) then
		if ( arg1 ) then
			PreventMisclick_UpdateActionId(arg1);
		else
			PreventMisclick_UpdateActionIds();
		end
		return;
	end
	if ( event == "VARIABLES_LOADED" ) then
		PreventMisclick_LoadConstants();
		return;
	end
end

